> # NAME

> StencilOp - 3D API stencil op

> # USAGE

> StencilOp = int3(sfail, dpfail, dppass)

> # VALID ENUMERANTS

> sfail, dpfail, dppass: Keep, Zero, Replace, Incr, Decr, Invert, IncrWrap, DecrWrap, IncrSat, DecrSat

> # DESCRIPTION

> Specify actions for stencil and depth tests. See the OpenGL glStencilOp manual page for details. See the D3DRS_STENCILFAIL, D3DRS_STENCILZFAIL, and D3DRS_STENCILPASS render state descriptions for DirectX 9.

> The standard reset callback sets the StencilOp state to int3(Keep, Keep, Keep).

> # OPENGL FUNCTIONALITY REQUIREMENTS

> OpenGL 1.0

> # DIRECT3D FUNCTIONALITY REQUIREMENTS

> DirectX 9

> # SEE ALSO

> ClearStencil, StencilEnable, StencilFail, StencilFunc, StencilFuncSeparate, StencilMask, StencilMaskSeparate, StencilOpSeparate, StencilPass, StencilRef, StencilTestEnable, StencilTestTwoSideEnable, StencilWriteMask, StencilZFail, TwoSidedStencilMode